import type { File } from '../../../models';
import { AbstractMock } from './utils.mock';
type FileEntities = {
    shares: Record<string, File>;
    files: Record<string, File>;
};
export declare class FileMock extends AbstractMock<FileEntities> {
    readonly key = "synology.mock.file";
    constructor(entities?: Partial<FileEntities>);
    get shares(): File[];
    ids(key: keyof FileEntities): string[];
    length(key: keyof FileEntities): number;
    files(path?: string): File[];
    addShare(file: File): File[];
    add(file: File): (path?: string | undefined) => File[];
    rename(path: string, name: string): File;
}
export declare const patchFiles: (_global?: Window & typeof globalThis) => FileMock;
export {};
